# H323_T120Channel Class Reference

`#include <h323t120.h>`

Inheritance diagram for H323_T120Channel:

[legend]
Collaboration diagram for H323_T120Channel:
[legend]

## Public Member Functions

virtual void | HandleChannel ()
Construction
| H323_T120Channel (H323Connection &connection, const H323Capability &capability, Directions direction, unsigned sessionID)
Overrides from class H323Channel
virtual void | Receive ()
virtual void | Transmit ()
virtual PBoolean | OnSendingPDU (H245_OpenLogicalChannel &openPDU) const
virtual void | OnSendOpenAck (const H245_OpenLogicalChannel &open, H245_OpenLogicalChannelAck &ack) const
virtual PBoolean | OnReceivedPDU (const H245_OpenLogicalChannel &pdu, unsigned &errorCode)
virtual PBoolean | OnReceivedAckPDU (const H245_OpenLogicalChannelAck &pdu)

## Protected Attributes

OpalT120Protocol * | t120handler

## Detailed Description

This class describes the T.120 logical channel.

## Constructor & Destructor Documentation

H323_T120Channel::H323_T120Channel | ( | H323Connection & | connection,
|  | const H323Capability & | capability,
|  | Directions | direction,
|  | unsigned | sessionID |
| ) |  |  |

Create a new channel.

Parameters:

  connection | Connection to endpoint for channel
  capability | Capability channel is using
  direction | Direction of channel
  sessionID | Session ID for channel

## Member Function Documentation

virtual void H323_T120Channel::HandleChannel | ( |  | ) | `[virtual]`

virtual PBoolean H323_T120Channel::OnReceivedAckPDU | ( | const H245_OpenLogicalChannelAck & | pdu | ) | `[virtual]`

This is called after a request to create a channel occurs from the local machine via the H245LogicalChannelDict::Open() function, and the request has been acknowledged by the remote endpoint.

The default makes sure the parameters are compatible and passes on the PDU to the rtp session.

Parameters:

  pdu | Acknowledgement PDU

Reimplemented from H323DataChannel.

virtual PBoolean H323_T120Channel::OnReceivedPDU | ( | const H245_OpenLogicalChannel & | pdu,
|  | unsigned & | errorCode |
| ) |  |  | `[virtual]`

This is called after a request to create a channel occurs from the local machine via the H245LogicalChannelDict::Open() function, and the request has been acknowledged by the remote endpoint.

The default makes sure the parameters are compatible and passes on the PDU to the rtp session.

Parameters:

  pdu | Open PDU
  errorCode | Error code on failure

Reimplemented from H323DataChannel.

virtual PBoolean H323_T120Channel::OnSendingPDU | ( | H245_OpenLogicalChannel & | openPDU | ) | const`[virtual]`

Fill out the OpenLogicalChannel PDU for the particular channel type.

Parameters:

  openPDU | Open PDU to send.

Reimplemented from H323DataChannel.

virtual void H323_T120Channel::OnSendOpenAck | ( | const H245_OpenLogicalChannel & | open,
|  | H245_OpenLogicalChannelAck & | ack |
| ) |  |  | const`[virtual]`

This is called when request to create a channel is received from a remote machine and is about to be acknowledged.

Parameters:

  open | Open PDU
  ack | Acknowledgement PDU

Reimplemented from H323DataChannel.

virtual void H323_T120Channel::Receive | ( |  | ) | `[virtual]`

Handle channel data reception.

This is called by the thread started by the Start() function and is typically a loop reading from the transport and handling PDU's.

The default behaviour here is to call HandleChannel()

virtual void H323_T120Channel::Transmit | ( |  | ) | `[virtual]`

Handle channel data transmission.

This is called by the thread started by the Start() function and is typically a loop reading from the codec and writing to the transport (eg an RTP_session).

The default behaviour here is to call HandleChannel()

## Field Documentation

OpalT120Protocol* H323_T120Channel::t120handler `[protected]`

The documentation for this class was generated from the following file:

- h323t120.h